Render a tree of the structure of the workflow. Run in API Explorer
Ask AI
GET
/api/v1/workflow/{workflow_uuid}/tree
curl \
--request GET 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/tree' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "db3df9ad-d26a-42b4-9518-8506249189d1",
"name": "Task With Children",
"sub_tasks": [
{
"uuid": "dd690c81-74f4-48fe-8c13-55ca3544e539",
"name": "Task With Children",
"sub_tasks": {
"uuid": "92de58c4-0fca-4cd3-946c-821071fc8c7a",
"name": "Task With Children",
"trigger_tasks_count": 5
},
"trigger_tasks_count": 5
}
],
"trigger_tasks_count": 5
}